Create a product or standalone service
curl --request POST \
--url https://docs.dezerx.com/api/application/services \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": 123,
"product_id": 123,
"service_name": "<string>",
"category_id": 123,
"price": 1,
"billing_cycle": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
'import requests
url = "https://docs.dezerx.com/api/application/services"
payload = {
"user_id": 123,
"product_id": 123,
"service_name": "<string>",
"category_id": 123,
"price": 1,
"billing_cycle": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: 123,
product_id: 123,
service_name: '<string>',
category_id: 123,
price: 1,
billing_cycle: '<string>',
due_date: '2023-11-07T05:31:56Z',
notes: '<string>'
})
};
fetch('https://docs.dezerx.com/api/application/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"status": "<string>",
"price": 123,
"name": "<string>",
"owner": {},
"product": {},
"category": {},
"module": "<string>",
"billing_cycle": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"addons": "<array>"
},
"meta": {},
"message": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Services
Create a product or standalone service
POST
/
services
Create a product or standalone service
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I

